vich_uploader:
    db_driver: orm

    mappings:
        about:
           uri_prefix: /images/about
           upload_destination: '%kernel.project_dir%/public/images/about'
        comment:
           uri_prefix: /images/comment
           upload_destination: '%kernel.project_dir%/public/images/comment'
        rea:
           uri_prefix: /images/rea
           upload_destination: '%kernel.project_dir%/public/images/rea'
        user:
           uri_prefix: /images/user
           upload_destination: '%kernel.project_dir%/public/images/user'
        skill:
           uri_prefix: /images/skill
           upload_destination: '%kernel.project_dir%/public/images/skill'
        step:
           uri_prefix: /images/step
           upload_destination: '%kernel.project_dir%/public/images/step'
        post_cover:
           uri_prefix: /images/post/cover
           upload_destination: '%kernel.project_dir%/public/images/post/cover'
        post_image:
           uri_prefix: /images/post/image
           upload_destination: '%kernel.project_dir%/public/images/post/image'
           namer:
               service: Vich\UploaderBundle\Naming\HashNamer
               options: { algorithm: 'sha256', length: 25 }
        post_file:
           uri_prefix: /files/post
           upload_destination: '%kernel.project_dir%/public/files/post'
